| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Utils.Trie

Synopsis

data Trie k v
empty :: Trie k v
singleton :: [k] -> v -> Trie k v
insert :: Ord k => [k] -> v -> Trie k v -> Trie k v
lookupPath :: Ord k => [k] -> Trie k v -> [v]
union :: Ord k => Trie k v -> Trie k v -> Trie k v

Documentation

data Trie k v | Source

Instances

(Show k, Show v) => Show (Trie k v)

empty :: Trie k v | Source

singleton :: [k] -> v -> Trie k v | Source

insert :: Ord k => [k] -> v -> Trie k v -> Trie k v | Source

lookupPath :: Ord k => [k] -> Trie k v -> [v] | Source

union :: Ord k => Trie k v -> Trie k v -> Trie k v | Source

Left biased union.
Produced by Haddock version 2.4.2